> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy/Move a File

> Copies the current revision of a source file to replace a target file.



## OpenAPI

````yaml /openapi/product/files.yaml post /api/data/v1/data-files/copy/{sourceDataFileId}/revisions/current/{targetDataFileId}
openapi: 3.0.0
info:
  title: Files API (Product)
  version: v1
  description: >
    API for managing files in Domo's Data File Service, including uploads,
    revisions, metadata, downloads, and permissions.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: Files
    description: Operations for managing files and their revisions.
paths:
  /api/data/v1/data-files/copy/{sourceDataFileId}/revisions/current/{targetDataFileId}:
    post:
      tags:
        - Files API (Product)
      summary: Copy/Move a File
      description: Copies the current revision of a source file to replace a target file.
      parameters:
        - name: sourceDataFileId
          in: path
          required: true
          schema:
            type: integer
        - name: targetDataFileId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Returns the new revision id for the target file.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevisionIdResponse'
        '401':
          description: Unauthorized
        '404':
          description: Source or Target File Not Found
components:
  schemas:
    RevisionIdResponse:
      type: object
      properties:
        revisionId:
          type: integer
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication (Assumed based on similar APIs).

````